function::ipmib_filter_key
Prev | Chapter 15. SNMP Information Tapset | Next

## Name

function::ipmib_filter_key — Default filter function for ipmib.* probes

## Synopsis

        ipmib_filter_key:long(skb:long,op:long,SourceIsLocal:long)

## Arguments

`skb`

  pointer to the struct sk_buff

`op`

  value to be counted if `skb` passes the filter

`SourceIsLocal`

  1 is local operation and 0 is non-local operation

## Description

This function is a default filter function. The user can replace this function with their own. The user-supplied filter function returns an index key based on the values in `skb`. A return value of 0 means this particular `skb` should be not be counted.

Prev | Up | Next
Chapter 15. SNMP Information Tapset | Home | function::ipmib_get_proto